Loading...
Searching...
No Matches
Dune::Functions::Concept Namespace Reference

## Classes

struct | ConstVectorBackend
struct | VectorBackend
struct | Callable
| Concept objects that can be called with given argument list. More...
struct | Function
struct | Function< Range(Domain)>
| Concept for a function mapping `Domain` to `Range`. More...
struct | DifferentiableFunction
struct | DifferentiableFunction< Range(Domain), DerivativeTraits >
| Concept for a differentiable function mapping `Domain` to `Range`. More...
struct | LocalFunction
struct | LocalFunction< Range(Domain), LocalContext >
| Concept for a local function mapping `Domain` to `Range`. More...
struct | DifferentiableLocalFunction
struct | DifferentiableLocalFunction< Range(Domain), LocalContext, DerivativeTraits >
| Concept for a differentiable local function mapping `Domain` to `Range`. More...
struct | EntitySet
| Concept for an entity set for a Concept::GridFunction<Range(Domain), EntitySet, DerivativeTraits>. More...
struct | GridFunction
struct | GridFunction< Range(Domain), EntitySet >
| Concept for a grid function mapping `Domain` to `Range`. More...
struct | DifferentiableGridFunction
struct | DifferentiableGridFunction< Range(Domain), EntitySet, DerivativeTraits >
| Concept for a differentiable grid function mapping `Domain` to `Range`. More...
struct | GridViewFunction
struct | GridViewFunction< Range(Domain), GridView >
| Concept for a grid view function mapping `Domain` to `Range`. More...
struct | DifferentiableGridViewFunction
struct | DifferentiableGridViewFunction< Range(Domain), GridView, DerivativeTraits >
| Concept for a differentiable grid view function mapping `Domain` to `Range`. More...
struct | IndexMergingStrategy
struct | HasResize
struct | HasSizeMethod
struct | HasIndexAccess
struct | ContainerDescriptor
struct | BasisNode
struct | LeafBasisNode
struct | BasisTree
struct | PowerBasisNode
struct | DynamicPowerBasisNode
struct | CompositeBasisNode
struct | PreBasis
struct | LocalView
struct | GlobalBasis

## Functions

template<class F, class... Args>
static constexpr auto | isCallable ()
| Check if f is callable with given argument list.
template<class F, class... Args>
static constexpr auto | isCallable (F &&, Args &&...)
| Check if f is callable with given argument list.
template<class F, class Signature>
static constexpr bool | isFunction ()
| Check if F models the Function concept with given signature.
template<class F, class Signature, template< class > class DerivativeTraits>
static constexpr bool | isFunction (F &&f, SignatureTag< Signature, DerivativeTraits >)
| Check if f models the Function concept with given signature.
template<class F, class Signature, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | isDifferentiableFunction ()
| Check if F models the DifferentiableFunction concept with given signature.
template<class F, class Signature, template< class > class DerivativeTraits>
static constexpr bool | isDifferentiableFunction (F &&f, SignatureTag< Signature, DerivativeTraits >)
| Check if f models the DifferentiableFunction concept with given signature.
template<class F, class Signature, class LocalContext>
static constexpr bool | isLocalFunction ()
| Check if F models the LocalFunction concept with given signature and local context.
template<class F, class Signature, class LocalContext, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | isDifferentiableLocalFunction ()
| Check if F models the DifferentiableLocalFunction concept with given signature and local context.
template<class E>
static constexpr bool | isEntitySet ()
| Check if F models the GridFunction concept with given signature and entity set.
template<class F, class Signature, class EntitySet>
static constexpr bool | isGridFunction ()
| Check if F models the GridFunction concept with given signature and entity set.
template<class F, class Signature, class EntitySet, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | isDifferentiableGridFunction ()
| Check if F models the DifferentiableGridFunction concept with given signature and entity set.
template<class F, class Signature, class GridView>
static constexpr bool | isGridViewFunction ()
| Check if F models the GridViewFunction concept with given signature.
template<class F, class Signature, class GridView, template< class > class DerivativeTraits = DefaultDerivativeTraits>
static constexpr bool | isDifferentiableGridViewFunction ()
| Check if F models the DifferentiableGridViewFunction concept with given signature.
template<typename T>
static constexpr bool | isIndexMergingStrategy ()
template<typename T>
static constexpr bool | isIndexMergingStrategy (T &&t)

## Function Documentation

## isIndexMergingStrategy() [1/2]

template<typename T>

constexpr bool Dune::Functions::Concept::isIndexMergingStrategy | ( |  | ) |

static constexpr

## isIndexMergingStrategy() [2/2]

template<typename T>

constexpr bool Dune::Functions::Concept::isIndexMergingStrategy | ( | T && | t | ) |

static constexpr